---
id: 6143862a5e54455d262c212e
title: Step 2
challengeType: 0
dashedName: step-2
---

# --description--

Within your `body`, create a `main` element. Then in that element, create a `section` with a `class` set to `heading`.

# --hints--

You should have a `main` element.

```js
assert.exists(document.querySelector('main'));
```

Your `main` element should be within your `body` element.

```js
assert.equal(document.querySelector('main')?.parentElement?.localName, 'body');
```

You should have a `section` element.

```js
assert.exists(document.querySelector('section'));
```

Your `section` element should be within your `main` element.

```js
assert.equal(document.querySelector('section')?.parentElement?.localName, 'main');
```

Your `section` element should have the `class` set to `heading`.

```js
assert.isTrue(document.querySelector('section')?.classList?.contains('heading'));
```

# --seed--

## --seed-contents--

```html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Magazine</title>
    <link
      href="https://fonts.googleapis.com/css?family=Anton%7CBaskervville%7CRaleway&display=swap"
      rel="stylesheet"
    />
    <link
      rel="stylesheet"
      href="https://use.fontawesome.com/releases/v5.8.2/css/all.css"
    />
    <link rel="stylesheet" href="styles.css" />
  </head>
  <body>
--fcc-editable-region--

--fcc-editable-region--
  </body>
</html>
```

```css

```
